Subject: Re: linux-next: manual merge of the nand tree with the mtd-fixes/mtd/fixes tree

From: Miquel Raynal <[email-masked]>
Date: Wed, 29 Apr 2026 19:12:31 +0200

Hi Thierry,

On 29/04/2026 at 12:07:16 +02, Thierry Reding <[email-masked]> wrote:

> Hi all,
>
> Today's linux-next merge of the nand tree got a conflict in:
>
>   drivers/mtd/nand/spi/winbond.c
>
> between commit:
>
>   8d655748aba1 ("mtd: spinand: winbond: Set the packed page read flag to W35N02/04JW")
>
> from the mtd-fixes/mtd/fixes tree and commits:
>
>   9980ff0d528f ("mtd: spinand: winbond: Add support for continuous reads on W35NxxJW")
>   a211bd1ecc0b ("mtd: spinand: winbond: Ensure chips are ordered by density")

I forgot this would obviously break linux-next. I've rebased -next on
top of -fixes for now, I will include the -rc that receives these
patches later. Merge should be smooth tomorrow.

Thanks,
Miquèl